
%global meadversion 1.0.3
%global namedversion 1.0.3.GA-redhat-1
%global meadalpha .GA_redhat_1
%global meadrel .1
%global serial 1

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.0.3.GA-redhat-1

Name:    slf4j-jboss-logmanager
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:   0
Summary: SLF4J: JBoss Log Manager
License: LGPLv2+
Group:   Development/Libraries

%if %with mead
Source100: slf4j-jboss-logmanager-1.0.3.GA-redhat-1-scm-sources.zip
Source102: slf4j-jboss-logmanager-1.0.3.GA-redhat-1.jar
Source103: slf4j-jboss-logmanager-1.0.3.GA-redhat-1-sources.jar
Source104: slf4j-jboss-logmanager-1.0.3.GA-redhat-1.pom
Source105: slf4j-jboss-logmanager-1.0.3.GA-redhat-1-javadoc.jar
%endif

URL:     https://github.com/jboss-logging/slf4j-jboss-logmanager

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils
BuildRequires:    jpackage-utils

%description
${summary}.

%if %with javadoc
%package javadoc
Summary:  Javadocs for %{name}
Group:    Documentation

Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.
%endif

%prep
%if %without mead
%setup -q -n %{name}-%{namedversion}
%endif

%build
%if %without mead
mvn-rpmbuild install javadoc:aggregate
%endif

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
%if %without mead
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# POM
%if %without mead
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%else
install -pm 644 %{_sourcedir}/%{name}-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%endif

# DEPMAP
%add_to_maven_depmap org.jboss.slf4j slf4j-jboss-logmanager %{namedversion} JPP %{name}

%if %with javadoc
# JAVADOC
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%if %without mead
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
%else
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif
%endif

%files
%defattr(-,root,root,-)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc

%if %with javadoc
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Fri Mar 28 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.3-1.GA_redhat_1.1
- Upgrade to 1.0.3.GA

* Sun Feb 17 2013 Yong Yang <yyang@redhat.com> - 1.0.2-1.GA_redhat_1
- 1.0.2.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-7.GA_redhat_2.3.2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.0-6.GA_redhat_2.3.2
- Update poms for eap 6.0.1

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-5.GA_redhat_2.3.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-5.GA_redhat_1.3.1
- Rebuild using cache signing

* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-5.GA_redhat_1.3
- Rebuild for RHEL-5

* Fri Mar 16 2012 Yong Yang <yyang@redhat.com> - 1.0.0-4.GA_redhat_1.3
- Update Wrapper

* Fri Mar 16 2012 Yong Yang <yyang@redhat.com> - 1.0.0-4.GA_redhat_1.2
- New Wrapper
- Update install path, no %{name} dir

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-4.GA_redhat_1.1
- Populate java-signed

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-4.GA_redhat_1
- Rebuild to use new signing key

* Thu Feb 02 2012 Yong Yang <yyang@redhat.com> - 1.0.0.-3.GA_redhat_1
- Latest vman

* Thu Sep 29 2011 Yong Yang <yyang@redhat.com> - 1.0.0.-2.GA
- Upgrade to 1.0.0.GA

* Fri Jun 17 2011 Yong Yang <yyang@redhat.com> - 1.0.0.-1.CR3
- First build

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
